﻿.blogfeed {
    padding-bottom: 5vh;
}

.newsfeed a {
    text-decoration: none;
    transition: all .2s;
}

.newsfeed a:hover {
    transition: all .2s;
}

.mobile_blog {
    display: none;
}

.large_news_block .article_overlay {
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: rgba(0,0,0,.6);
    transition: all .2s;
}

.large_news_block .article_overlay:hover {
    background: rgba(1,82,148,.8);
    transition: all .2s;
}

.large_news_block .article_container {
    flex-basis: unset !important;
}

.article_overlay {
    position: absolute;
    height: 30vh;
    width: calc(100% - 5px);
    background-color: rgba(0,0,0,.6);
    transition: all .2s;
}

.article_overlay:hover {
    background: rgba(1,82,148,.8);
    transition: all .2s;
}

.large_news_block, .small_news_block {
    position: relative;
}

.large_blog_block {
    height: 60vh;
    transition: all .3s ease;
}

.large_blog_block:hover {
    

}

.large_blog_block .news_block_content {
    padding: 5vh 2vw;
    display: flex;
    justify-content: center;
    flex-direction: column;
    color: #fff;
    line-height: 1.2;
    margin-left: 5vw;
    /* mix-blend-mode: difference; */
    /* -webkit-font-smoothing: antialiased !important; */
    border-radius: 5px;
}

.slick-initialized .slick-slide {
    display: flex !important;
}

.slick-arrow::before {
    opacity: 1;
    color: #015294;
    font-size: 40px;
}

.slick-prev {
    left: -45px;
}

.large_blog_block .article_category {
    text-transform: uppercase;
}

.small_block_container{
    margin: 0 auto;
}

.small_blog_block {
    display: flex;
    line-height: 1.2;
    padding: 0 1.5rem;
    margin-top: 2vh;
    position: relative;
}

@media screen and (max-width: 1280px){
    .small_blog_block {
        flex-basis: 33%;
    }
}

.small_blog_block a {
    color: initial;
    font-weight: inherit;
    text-decoration: none;
    margin-bottom: 2.4rem;
    transition: .3s ease;
    border-radius: 5px;
    overflow: hidden;
    background-color: #FFF;
    border-bottom: 10px solid;
}

.small_blog_block a:hover {
    box-shadow: 0 5px 10px rgb(0 68 112 / 30%);
    transition: .3s ease;
}

.small_blog_block .blog_text_container .article_desc {
    margin-bottom: 20px;
    font-size: 1.3rem;
}

.small_blog_block .article_category {
    font-size: small;
    text-transform: uppercase;
}

.small_blog_block .news_block_content {
    transition: all .3s ease;
    overflow: hidden;
}

.blog_text_container {
    padding: 2.4rem;
    background-color: #FFF;
}

.blog_text_container .article_title{
    color: var(--unum-blue-4);
}

.article_date {
    font-size: small;
    margin-bottom: 10px;
}

.article_title, .large_article_title {
    width: 100%;
    font-weight: bold;
    margin-bottom: 10px;
}

.large_article_title {
    font-size: x-large;
}

.article_pic {
    height: 20vh;
    width: 100%;
    background-size: cover;
    background-position: center center;
    border-radius: 5px 5px 0 0;
    border-bottom: 1px solid var(--unum-cool-neutral-2);
}

.article_pic img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.story_title {
    color: #015294;
}

.blog_read_more {
    padding: 10px 20px;
    background: var(--unum-blue);
    color: #FFF;
    border-radius: 25px;
    text-decoration: none;
    font-weight: 600;
    width: fit-content;
    transition: all .2s;
}

.blog_read_more:hover {
    opacity: 1 !important;
    background: var(--unum-blue-4);
    transition: all .2s;
    color: #fff;
}

.more_blogs_button {
    background-color: #FFF;
    border: 0;
    color: inherit !important;
    padding: 0.8rem 1.6rem;
    text-align: center;
    text-decoration: none;
    width: fit-content;
    margin: 0 auto;
    margin-top: -20px;
    cursor: pointer;
}

#showMoreBlogs:after {
    content: "\f078";
    font-family: 'Font Awesome 6 Free';
    display: block;
    font-weight: 900;
    transition: .2s;
}

#showMoreBlogs:hover:after {
    padding-top: 2px;
    margin-bottom: -2px;
    transition: .2s;
}

#showLessBlogs:before {
    content: "\f077";
    font-family: 'Font Awesome 6 Free';
    display: block;
    font-weight: 900;
    transition: .2s;
}

#showLessBlogs:hover:before {
    padding-bottom: 2px;
    margin-top: -2px;
    transition: .2s;
}

.rotate180{
    transform: rotate(180deg);
}

.newsroom-action-link {
    font-size: 2rem;
    color: #015294;
}

.newsroom-action-link:hover {
    opacity: .8;
}

.article_read_more{
    position: absolute;
    bottom: 0;
    transition: .2s;
}

.article_read_more:after {
    content: '›';
    margin-left: 10px;
    font-size: 1.5rem;
    transition: .2s;
}

.article_read_more:hover:after {
    content: '›';
    margin-left: 15px;
    font-size: 1.5rem;
    transition: .2s;
}

.mobile_header{
    display: none;
}

.blog__title_container {
    background-color: var(--unum-cool-neutral-2);
}

.blog__title {
    padding: 0 0 7vh 0;
    text-align: center;
}

.small_blog_block .article_title {
    text-overflow: ellipsis;
    display: -webkit-box !important;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    white-space: normal;
    overflow: hidden;
}

.small_blog_block .article_desc {
    text-overflow: ellipsis;
    display: -webkit-box !important;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    white-space: normal;
    overflow: hidden;
}

@media only screen and (max-width: 991px) {
    .newsfeed {
        padding-left: 20px;
        padding-right: 20px;
    }

    .desktop_blogs {
        display: none !important;
    }

    .large_news_block .article_overlay {
        height: 100%;
        width: 100%;
    }

    .mobile_blog .small_news_block {
        padding: 20px !important;
    }

    .mobile_blog .small_news_block a{
        text-decoration: none;
    }

    .mobile_blog .small_news_block .news_block_content{
        position: relative;
    }

    .large_news_block {
        padding: 0 !important;
        height: 30vh;
        width: 100%;
    }

    .article_overlay {
        width: 100%;
    }

    .mobile_blog {
        display: block;
        padding: 0;
        background: #FFF;
    }

    .mobile_header{
        display: block;
    }

    .mobile_blog .small_news_block .news_block_content{
        box-shadow: 0 5px 10px rgb(0 68 112 / 30%);
    }

    .mobile_blog .small_news_block .news_block_content .article_text_container{
        padding: 20px;
    }

    .slick-dotted.slick-slider {
        margin-bottom: unset !important;
        padding-bottom: 30px;
    }

    .slick-dots {
        position: unset;
    }

    .divider {
        margin-top: -1px;
    }

    .small_news_block {
        height: 50vh;
    }

        .small_news_block .news_block_content {
            box-shadow: none;
        }

            .small_news_block .news_block_content:hover {
                box-shadow: none;
            }

    .slick-slide {
        height: 70vh;
    }
}


.blog_contributors_button__container {
    position: absolute;
    right: 8rem;
    bottom: calc(-20px - 1.5rem);
    width: max-content;
}

.blog_contributors_button__container a {
    background-color: var(--unum-slate-4);
    padding: 10px 20px;
    border-radius: 0 0 25px 25px;
    color: #FFF;
    text-decoration: none;
    transition: .2s all;
}

.blog_contributors_button__container a:hover {
    background-color: var(--unum-blue-4);
    transition: .2s all;
}

.mobile_blog_contributors__button {
    background-color: var(--unum-slate-4);
    padding: 10px 20px;
    border-radius: 25px;
    color: #FFF;
    transition: .2s all;
    text-decoration: none;
}

.mobile_blog_contributors__button:hover{
    background-color: var(--unum-blue-4);
    transition: .2s all;
}